
QGIS Application - Bug report #17571

Geoprocessing with shapefile, with the z dimension, error 1005 with default use.

2017-11-28 10:40 AM - simone girardelli

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.18.14 Regression?: No

Operating System: Linux - Debian testing Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25468

Description

Forgive, use automatic translator, i'm italian user.

At the suggestion of the users list Italian of Qgis, and i write about this probable bug.

I point out, with the use of geoprocessing, the shapefile containing the z dimension, with the layer of the temporary, the output returns

error 10005.

If, for example, use the geoprocessing to find the symmetric difference between two shapefiles (menu vector --> Geoprocessing tool, if I

leave it default, it gives me error 1005, instead if i save a file, it works regularly.

This is the log:

2017-11-28T10:16:35    2    Uncaught error while executing algorithm

            Traceback (most recent call last):

              File "/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py", line 203, in execute

                self.processAlgorithm(progress)

              File "/usr/share/qgis/python/plugins/processing/algs/qgis/SymmetricalDifference.py", line 71, in processAlgorithm

                fields, geomType, layerA.crs())

              File "/usr/share/qgis/python/plugins/processing/core/outputs.py", line 326, in getVectorWriter

                crs, options)

              File "/usr/share/qgis/python/plugins/processing/tools/vector.py", line 600, in init

                uri = GEOM_TYPE_MAP[geometryType] + "?uuid=" + unicode(uuid.uuid4())

            KeyError: 1005

These are the information of my Qgis:

Versione di QGIS

2.18.14

Compilato con Qt

4.8.7

Compilato con GDAL/OGR

2.2.2

Compilato con GEOS

3.5.1-CAPI-1.9.1

Versione client PostgreSQL

10.0

Versione QWT

5.2.3

Versione QScintilla2
2.9.3

Revisione codice QGIS

ff83b9a

Esecuzione con Qt

4.8.7

Esecuzione con GDAL/OGR

2.2.2

Esecuzione con GEOS

3.5.1-CAPI-1.9.1 r4246

Versione SpatiaLite

4.3.0a

Versione PROJ.4

493

I enclose also the shapefiles used have the same name, so I added new and old, to differentiate.

History

#1 - 2017-11-29 05:34 PM - Martin Dobias

- Category changed from 3D to Processing/QGIS

#2 - 2018-06-01 06:59 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in 3.2

Files

new_sentierisat.shp.zip 3.68 MB 2017-11-28 simone girardelli

old_sentierisat.shp.zip 3.65 MB 2017-11-28 simone girardelli
